textures/laneway_snow/sonterra_tlb
{
	qer_editorimage textures/laneway_snow/sonterra_tlb.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/laneway_snow/sonterra_tlb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/laneway_snow/sonterra_tlb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/laneway_snow/lanewaysky
{
	qer_editorimage textures/laneway_snow/lanewaysky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 2 3 70 0 90 1 16
	q3map_skylight 100 4
    //q3map_lightmapFilterRadius 0 8		//self other
	nopicmip
	nomipmaps
	skyparms env/mp_blizzard/blizzard 128 -
}

textures/coldwar/vv_snow_1
{
	qer_editorimage textures/coldwar/vv_snow_1.jpg
	surfaceparm nodamage
	{
		map textures/coldwar/vv_snow_1.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/vv_snow_2
{
	qer_editorimage textures/coldwar/vv_snow_2.jpg
    surfaceparm nodamage
	{
		map textures/coldwar/vv_snow_2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/laneway_snow/white
{
	qer_editorimage textures/laneway_snow/white.jpg
	{
		map textures/laneway_snow/white.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/coldwar/ice
{
        surfaceparm slick
        surfaceparm nodamage
        qer_editorimage textures/coldwar/vv_ice.jpg
        {       
                map textures/coldwar/vv_ice.jpg
        }
        {
                map textures/effects/tinfx.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }
}


textures/laneway_snow/hehe
{
    tesssize 32
    deformVertexes wave 10 sin 0 3 0 .5
    cull disable
    surfaceparm nolightmap
    surfaceparm nomarks

        {
                clampmap textures/laneway_snow/hehe.tga
                alphaFunc GE128
                tcMod stretch sin .8 0.10 0 .07
		depthWrite

        }


}

textures/laneway_snow/lw_bike_yellow
{
	qer_editorimage textures/laneway_snow/lw_bike_yellow.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/laneway_snow/lw_bike_yellow.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/laneway_snow/lw_clothesline_pulley2
{
	qer_editorimage textures/laneway_snow/lw_clothesline_pulley2.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/laneway_snow/lw_clothesline_pulley2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/laneway_snow/lw_ladder_rusty
{
	qer_editorimage textures/laneway_snow/lw_ladder_rusty.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/laneway_snow/lw_ladder_rusty.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/laneway_snow/lw_smallbud
{
	qer_editorimage textures/laneway_snow/lw_smallbud.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/laneway_snow/lw_smallbud.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/laneway_snow/lw_fllight_cover
{
	qer_editorimage textures/laneway_snow/lw_fllight_cover.tga
	q3map_surfacelight 1100

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/laneway_snow/lw_fllight_cover.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/laneway_snow/lw_fllight_cover.tga
		blendfunc GL_ONE GL_ONE
	}
}


//	Foggy, stained glass with a cool chrome like finish when you walk by.
textures/tub/darkglass
{
	qer_trans .5
	surfaceparm trans
	surfaceparm solid

	cull disable
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
	}
}


textures/laneway_snow/black
{
	qer_trans .2
	qer_editorimage textures/laneway_snow/black.tga
	
	surfaceparm trans
	surfaceparm solid

	cull disable
	{
		map textures/laneway_snow/black.tga
		rgbGen identity
        blendfunc blend
	}
}



// These are borrowed from metropolis

textures/futur/Anim_douche_01		// Douche
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	qer_editorimage textures/futur/Anim_douche_01.jpg
	{
		animMap 8 textures/futur/Anim_douche_01.jpg textures/futur/Anim_douche_02.jpg textures/futur/Anim_douche_03.jpg
		blendFunc GL_ONE GL_ONE
	}	
}

textures/futur/Fluide_04
{
	qer_editorimage textures/futur/Fluide_04.jpg
	surfaceparm nolightmap
	q3map_surfacelight 100
	{
		map textures/futur/Fluide_04.jpg
		tcMod turb 0 0.25 0 0.05
	}
}


